JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>6.19

Questions and Answers on installation, deployment, management, locking, tranasactions of Servoy Application Server

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>6.19

Postby Foobrother » Tue Sep 28, 2010 2:47 pm

I have a question about plugins having a jnlp which calls several jars not signed using the same certificate. Do we have to manually unsign them and resign them?!
Here is the list of jars I'm using in my plugin:
Code: Select all
<resources>
      <jar href="/plugins/agxchangeplugin.jar" download="eager" part="http" version="%%version%%"/>
     <jar href="/plugins/agxchangeplugin/ant.jar" download="%%loadmethod%%" version="2.1"/>
       <jar href="/plugins/agxchangeplugin/commons-httpclient-contrib.jar" download="%%loadmethod%%" version="2.1"/>
     <jar href="/plugins/agxchangeplugin/commons-transaction-1.1b2.jar" download="%%loadmethod%%" version="1.1b2"/>
     <jar href="/plugins/agxchangeplugin/commons-vfs-1.1-patched-hc301-SNAPSHOT.jar" download="%%loadmethod%%" version="1.1"/>
     <jar href="/plugins/agxchangeplugin/commons-xmlio-0.1pre.jar" download="%%loadmethod%%" version="0.1"/>
      <jar href="/plugins/agxchangeplugin/geronimo-spec-j2ee-1.0-M1.jar" download="%%loadmethod%%" version="1.0"/>
     <jar href="/plugins/agxchangeplugin/commons-xmlio-0.1pre.jar" download="%%loadmethod%%" version="0.1"/>
     <jar href="/plugins/agxchangeplugin/jdom-1.0.jar" download="%%loadmethod%%" version="1.0"/>
     <jar href="/plugins/agxchangeplugin/commons-xmlio-0.1pre.jar" download="%%loadmethod%%" version="1.0"/>
     <jar href="/plugins/agxchangeplugin/webdavclient4j-ant-0.92.jar" download="%%loadmethod%%" version="0.92"/>
     <jar href="/plugins/agxchangeplugin/webdavclient4j-cmd-0.92.jar" download="%%loadmethod%%" version="0.92"/>
     <jar href="/plugins/agxchangeplugin/webdavclient4j-core-0.92.jar" download="%%loadmethod%%" version="0.92"/>
     <jar href="/plugins/agxchangeplugin/webdavclient4j-jca-0.92.jar" download="%%loadmethod%%" version="0.92"/>
     <jar href="/plugins/agxchangeplugin/webdavclient4j-vfs-0.92.jar" download="%%loadmethod%%" version="0.92"/>
     <jar href="/lib/commons-logging.jar" download="%%loadmethod%%" version="3.0"/>
   </resources>
Current configuration: Servoy 5.2.6 Build 1011, Java 6u24, PostgreSQL 8.3, Windows Server 2003

Servoy / Java Developer
http://www.assetguardian.com
User avatar
Foobrother
 
Posts: 530
Joined: Tue Jan 13, 2009 5:46 pm

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>6.19

Postby jcompagner » Tue Sep 28, 2010 3:17 pm

you have 2 options

sign them all with the same certificate, the great tool from patrick can help you with that.

or give every jar (set) that has the same certificate a jnlp file and include the jnlp file(s) of that in your main jnlp file.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 7977
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>6.19

Postby Foobrother » Tue Sep 28, 2010 3:33 pm

jcompagner wrote:you have 2 options

sign them all with the same certificate, the great tool from patrick can help you with that.

or give every jar (set) that has the same certificate a jnlp file and include the jnlp file(s) of that in your main jnlp file.

Ok, the second solution looks "cleaner" to me.

Thanks :D
Current configuration: Servoy 5.2.6 Build 1011, Java 6u24, PostgreSQL 8.3, Windows Server 2003

Servoy / Java Developer
http://www.assetguardian.com
User avatar
Foobrother
 
Posts: 530
Joined: Tue Jan 13, 2009 5:46 pm

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby pentamsi » Tue May 22, 2012 5:41 pm

Hello I have some doubts about this.

The first is in what directory i have to put the signister and my key? in application server?

The second is if i used this comand:

Code: Select all
java -jar signtester.jar pentakeystore.ks pentamsi PentaPlugins


is correct for singin all hthe jar in the plugins folder?

And the last, i running the app in the server, but give me this error:

Code: Select all
<?xml version="1.0" encoding="UTF-8" standalone="no"?><jnlp codebase="http://localhost:8080" href="/servoy-client/plugins/servoy_jasperreports.jar.jnlp" spec="1.0+">
   <information>
      <title>Servoy Client Plugins</title>
      <vendor>Servoy and Others</vendor>
   </information>
   <resources>
      <jar download="eager" href="/plugins/servoy_jasperreports.jar" version="1322233376000"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/commons-io.jar" part="commons-io" version="1322233406000"/>
         <package name="org.apache.commons.io.*" part="commons-io" recursive="true"/>
      <jar download="eager" href="/lib/commons-collections.jar" part="commons-collections" version="1305029539677"/>
         <package name="org.apache.commons.collections.*" part="commons-collections" recursive="true"/>
      <jar download="eager" href="/lib/commons-logging.jar" part="commons-logging" version="1305029539795"/>
         <package name="org.apache.commons.logging.*" part="commons-logging" recursive="true"/>
      <jar download="eager" href="/lib/commons-dbcp.jar" part="commons-dbcp" version="1305029539715"/>
         <package name="org.apache.commons.dbcp.*" part="commons-dbcp" recursive="true"/>
         <package name="org.apache.commons.jocl.*" part="commons-dbcp" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/jasperreports-4.5.1.jar" version="1337698808000"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/commons-beanutils-1.8.2.jar" part="commons-beanutils" version="1337699285093"/>
         <package name="org.apache.commons.beanutils.*" part="commons-beanutils" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/commons-digester-2.1.jar" part="commons-digester" version="1337699286499"/>
         <package name="org.apache.commons.digester.*" part="commons-digester" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/iText-2.1.7.jar" part="itext" version="1322233410000"/>
         <package name="com.lowagie.*" part="itext" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/jdt-compiler-3.1.1.jar" part="jdt-compiler" version="1322233418000"/>
         <package name="org.eclipse.jdt.*" part="jdt-compiler" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/poi-3.7-20101029.jar" part="poi" version="1337699300734"/>
         <package name="org.apache.poi.*" part="poi" recursive="true"/> 
   </resources>
   <component-desc/>
   <security>
      <all-permissions/>
   </security>
</jnlp>


Thanks for all
Image
User avatar
pentamsi
 
Posts: 335
Joined: Thu Nov 03, 2011 2:20 pm
Location: Barcelona, Spain

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby mboegem » Tue May 22, 2012 6:10 pm

pentamsi wrote:The first is in what directory i have to put the signister and my key? in application server?

Yes, the application_server folder is the right one.

pentamsi wrote:The second is if i used this comand:
CODE: SELECT ALL
java -jar signtester.jar pentakeystore.ks pentamsi PentaPlugins
is correct for singin all hthe jar in the plugins folder?


Starting from the application server this will sign all the jar files in the plugin folder, bean folder and lib folder and eventually some additional jar files which the browser suite depends on (only applicable if you're using this suite)
pentamsi wrote:And the last, i running the app in the server, but give me this error:

CODE: SELECT ALL
<?xml version="1.0" encoding="UTF-8" standalone="no"?><jnlp codebase="http://localhost:8080" href="/servoy-client/plugins/servoy_jasperreports.jar.jnlp" spec="1.0+">
   <information>
      <title>Servoy Client Plugins</title>
      <vendor>Servoy and Others</vendor>
   </information>
   <resources>
      <jar download="eager" href="/plugins/servoy_jasperreports.jar" version="1322233376000"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/commons-io.jar" part="commons-io" version="1322233406000"/>
         <package name="org.apache.commons.io.*" part="commons-io" recursive="true"/>
      <jar download="eager" href="/lib/commons-collections.jar" part="commons-collections" version="1305029539677"/>
         <package name="org.apache.commons.collections.*" part="commons-collections" recursive="true"/>
      <jar download="eager" href="/lib/commons-logging.jar" part="commons-logging" version="1305029539795"/>
         <package name="org.apache.commons.logging.*" part="commons-logging" recursive="true"/>
      <jar download="eager" href="/lib/commons-dbcp.jar" part="commons-dbcp" version="1305029539715"/>
         <package name="org.apache.commons.dbcp.*" part="commons-dbcp" recursive="true"/>
         <package name="org.apache.commons.jocl.*" part="commons-dbcp" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/jasperreports-4.5.1.jar" version="1337698808000"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/commons-beanutils-1.8.2.jar" part="commons-beanutils" version="1337699285093"/>
         <package name="org.apache.commons.beanutils.*" part="commons-beanutils" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/commons-digester-2.1.jar" part="commons-digester" version="1337699286499"/>
         <package name="org.apache.commons.digester.*" part="commons-digester" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/iText-2.1.7.jar" part="itext" version="1322233410000"/>
         <package name="com.lowagie.*" part="itext" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/jdt-compiler-3.1.1.jar" part="jdt-compiler" version="1322233418000"/>
         <package name="org.eclipse.jdt.*" part="jdt-compiler" recursive="true"/>
      <jar download="eager" href="/plugins/servoy_jasperreports/poi-3.7-20101029.jar" part="poi" version="1337699300734"/>
         <package name="org.apache.poi.*" part="poi" recursive="true"/> 
   </resources>
   <component-desc/>
   <security>
      <all-permissions/>
   </security>
</jnlp>


I don't see any error, but I can imagine executing the client will break on the JasperReports plugin when you just signed your plugins.
This plugin has dependencies in the application_server/lib folder and all files of 1 vendor (servoy in this case) should be signed by the same certificate.

Hope this helps
_____________________
Marc Boegem
Solutiative / JBS Group, Partner
• Servoy Certified Developer
• Servoy Valued Professional
• Freelance SAN Developer

Image
User avatar
mboegem
 
Posts: 1384
Joined: Sun Oct 14, 2007 1:34 pm
Location: Hoofddorp, The Netherlands

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby pentamsi » Wed May 23, 2012 9:10 am

Yes, finally i can resign al jar in the application server part, except the hibernate3 that send me an error
Image
User avatar
pentamsi
 
Posts: 335
Joined: Thu Nov 03, 2011 2:20 pm
Location: Barcelona, Spain

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby Harjo » Wed May 23, 2012 9:30 am

I think you can guess, what the next question is?

what is the error?? :-)
Harjo Kompagnie
Direct ICT / Servoy Hosting / ServoyCamp
Servoy Certified Developer
Servoy Valued Professional
SAN Developer
User avatar
Harjo
 
Posts: 4271
Joined: Fri Apr 25, 2003 11:42 pm
Location: DEN HAM OV, The Netherlands

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby pentamsi » Wed May 23, 2012 11:38 am

Solvet to, i get the jar of my local servoy and upload to the server! Thanks for all
Image
User avatar
pentamsi
 
Posts: 335
Joined: Thu Nov 03, 2011 2:20 pm
Location: Barcelona, Spain

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby mboegem » Wed May 23, 2012 11:21 pm

pentamsi wrote:Yes, finally i can resign al jar in the application server part, except the hibernate3 that send me an error


Although I don't know the error, I can imagine this has something to do with available memory. (most of the errors I've seen during signing were caused by that...)
Please look at the ServoyForge wiki page of the signtester to see how to assign extra memory to the signing process.
_____________________
Marc Boegem
Solutiative / JBS Group, Partner
• Servoy Certified Developer
• Servoy Valued Professional
• Freelance SAN Developer

Image
User avatar
mboegem
 
Posts: 1384
Joined: Sun Oct 14, 2007 1:34 pm
Location: Hoofddorp, The Netherlands

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby pentamsi » Thu May 24, 2012 1:45 pm

No, this error not are about the memory usage, but in the wiki i see the form to implement more memory in the isntruction, thanks for all
Image
User avatar
pentamsi
 
Posts: 335
Joined: Thu Nov 03, 2011 2:20 pm
Location: Barcelona, Spain

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby andres.achiary » Fri Aug 31, 2012 5:45 pm

Hi all, I get this error in an app server when i want to launch the Smart Client


Code: Select all
JNLPException[category: Error de ejecución de archivo : Exception: null : LaunchDesc:
<jnlp spec="1.0+" codebase="http://192.168.1.2:8080/" href="http://192.168.1.2:8080/servoy-client/plugins/pdf_output.jar.jnlp">
  <information>
    <title>Servoy Client Plugins</title>
    <vendor>Servoy and Others</vendor>
    <homepage href="null"/>
    <offline-allowed/>
  </information>
  <security>
    <all-permissions/>
  </security>
  <update check="timeout" policy="always"/>
  <resources>
    <jar href="http://192.168.1.2:8080/plugins/pdf_output.jar" version="1311599285216" part="pdfoutput" download="eager" main="false"/>
    <jar href="http://192.168.1.2:8080/plugins/pdf_output/itext.jar" version="1311599319176" part="itext" download="eager" main="false"/>
    <jar href="http://192.168.1.2:8080/plugins/pdf_output/bcmail.jar" version="1311599296340" part="bouncycastle" download="eager" main="false"/>
    <jar href="http://192.168.1.2:8080/plugins/pdf_output/bcprov.jar" version="1311599309199" part="bouncycastle" download="eager" main="false"/>
    <package name="com.lowagie." part="itext" recursive="true"/>
    <package name="org.bouncycastle." part="bouncycastle" recursive="true"/>
  </resources>
  <component-desc/>
</jnlp> ]


I've already overwrote the JARS with a key created in the same machine and changed in the JNLP the version (1.46.0) to %%version%%... what am i missing here?

Thanks in advanced
andres.achiary
 
Posts: 12
Joined: Fri Aug 31, 2012 5:42 pm

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby ptalbot » Fri Aug 31, 2012 7:43 pm

Have you tried clearing the client's Java cache?
Patrick Talbot
Freelance - Open Source - Servoy Valued Professional
http://www.servoy-stuff.net
https://www.servoyforge.net
--------------------------------------------
Servoy 5.2.16 / 6.0.9 / 6.1.6 / 7.3.1
All OSes / Java 5 & 6 & 7
User avatar
ptalbot
 
Posts: 1612
Joined: Wed Mar 11, 2009 5:13 am
Location: Montreal, QC

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby andres.achiary » Mon Sep 03, 2012 4:12 pm

Yes, I have cleared the Java cache in the client, but it still don't work
andres.achiary
 
Posts: 12
Joined: Fri Aug 31, 2012 5:42 pm

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby ptalbot » Tue Sep 04, 2012 4:52 pm

Not sure the issue is with signing.
It looks more like there is an issue with the download of one (or more) of the jars.
I would clear the server cache as well (located in your /application_server/server/work/Catalina/[YOURHOST]/), and make sure all the jars are present in /plugins...
Patrick Talbot
Freelance - Open Source - Servoy Valued Professional
http://www.servoy-stuff.net
https://www.servoyforge.net
--------------------------------------------
Servoy 5.2.16 / 6.0.9 / 6.1.6 / 7.3.1
All OSes / Java 5 & 6 & 7
User avatar
ptalbot
 
Posts: 1612
Joined: Wed Mar 11, 2009 5:13 am
Location: Montreal, QC

Re: JAR signing with Servoy >= 5.1.2, 4.1.6, 3.5.11 OR JRE=>

Postby andres.achiary » Thu Sep 06, 2012 5:00 pm

Patrick, thanks for the help.

It seems I don't have all the jars in that folder. There are 25 elements while in the app_server/plugins there are 37.

Nevertheless, I've checked for the "pdf_output" (the one that is in the exception) and that seems to be fine.
andres.achiary
 
Posts: 12
Joined: Fri Aug 31, 2012 5:42 pm

PreviousNext

Return to Servoy Server

Who is online

Users browsing this forum: No registered users and 2 guests

cron